---
layout: page
title: Getting Help
---

Need help with Jekyll? Try these resources.

### [Documentation](/docs/home/)

Start with our official guide to Jekyll covering installation, writing, customization, deployment, and more.

### [Jekyll Talk](https://talk.jekyllrb.com/)

Our official Discourse forum. Here, users and contributors
can ask questions and discuss all aspects of Jekyll.
Also the place to [showcase your jekyll sites](https://talk.jekyllrb.com/t/jekyll-showcase-share-your-sites-built-with-jekyll/44/80) and [share your jekyll themes](https://talk.jekyllrb.com/t/jekyll-theme-showcase-share-your-jekyll-themes/1382/2).

### [Jekyll on StackOverflow](https://stackoverflow.com/questions/tagged/jekyll)

StackOverflow is a staple of any developer's diet. Check out the Jekyll tag
on StackOverflow for an answer to your question. Not there? Ask a new
question!

### [Jekyll IRC Channel](irc:irc.freenode.net/jekyll)

Get live support at **#jekyll** on **irc.freenode.net**, the official
Jekyll IRC channel.

### View source

Learn from the source of others, you'll find plenty of [jekyll sites](https://github.com/topics/jekyll-site) and [jekyll themes](https://github.com/topics/jekyll-themes) carefully handcrafted on GitHub.

### [Tutorials](/tutorials/home)

Similar to documentation, but more detailed scenario-based walk-throughs covering a variety of topics.

### [Upgrading](/docs/upgrading/)

Did you recently upgrade from Jekyll 1 to 2 or from Jekyll 2 to 3?
Known breaking changes are listed in the upgrading docs.

### [Jekyllconf](/jekyllconf/)

Watch videos from members of the Jekyll community speak about interesting use cases, tricks they've learned or meta Jekyll topics.

### [Google](https://www.google.com/?q=jekyll)

Add **jekyll** to almost any query, and you'll find just what you need.

### [jekyll/jekyll](https://github.com/jekyll/jekyll/issues)

Search through the issues on the main Jekyll development. Think you've
found a bug? File a new issue.

### [@jekyllrb on Twitter](https://twitter.com/jekyllrb)

The official Jekyll Twitter account. It's not checked often, so try the
above first.
